<?php
/**
 * stanislav.elbl, 26.08.2015
 */

namespace RonPortal\Dochazka;

use Ron\MVC\BrowserController;
use Ron\TextManager;
use RonPortal\NeniPravoException;
use RonPortal\Prava;

TextManager::getInstance() ->loadStrings('dochazka.ini');
//HtmlHeaders::getInstance() ->setIcon(RonPortalSettings::getValue('shortcut_icon') ?: 'images/icon_ads.png');

return new BrowserController(
    $this ->database,
    'eneschopenka',
    function() {
        $prava = Prava::vratPrava('eneschopenka_prohl');

        if (!$prava->jsouNejakePrava()) {
            throw new NeniPravoException();
        }

        return new ENeschopenkaBrowser($this ->database, $prava);
    }
);
