<?php
/**
 * stanislav.elbl, 21.02.2021
 */

namespace Ron\Controls;


class LinksListItem extends Option
{
//    /** @var string     Kod polozky - pouzije se v url a v konfiguracnim retezci */
//    public $key;
//    /** @var string     Viditelny nadpis polozky */
//    public $caption;
//    /** @var string     title generovany do HTML */
//    public $title;

    /** @var bool       Jestli je polozka aktivni (zapnuta) */
    public $active = true;

    /** @var string     Kod skupiny - pro prepinaci polozky - aktivni muze byt jen jedna polozka ze skupiny */
    public $group;

    /**
     * @param bool $active
     * @return LinksListItem
     */
    public function setActive(bool $active): LinksListItem
    {
        $this->active = $active;
        return $this;
    }

    /**
     * @param string $group
     * @return LinksListItem
     */
    public function setGroup(string $group): LinksListItem
    {
        $this->group = $group;
        return $this;
    }
}
