<?php
/**
 * pavel.rudol, 2.10.2018
 */

namespace Ron\RonPortal;

use Ron\MVC\Model;

/** @var ComboBoxOsoba|null $comboOsoba */
$comboOsoba = Model::getInstance()->getData('osoba');
$vyzadovatHeslo = Model::getInstance()->getData('vyzadovatpuvodni');

?>
<h1><?= \Ron\ronText('Nastaveni_osobniho_hesla') ?></h1>

<?php \Ron\MessageManager::getInstance() ->showMessages(); ?>

<form method="post" action="?menuid=personalpassword">
    <input type="hidden" name="setpassword" value="1">

    <div class="form form-30-70 small-form">
        <div class="form-content">
            <div class="form-row">
                <?php if (!is_null($comboOsoba)) { ?>
                    <div class="form-col form-col1 caption"><?= \Ron\ronText('Osoba') ?></div>
                    <div class="form-col form-col2"><?php $comboOsoba->render(); ?></div>
                <?php }  elseif ($vyzadovatHeslo) { ?>
                    <div class="form-col form-col1 caption"><?= \Ron\ronText('Stare_heslo') ?></div>
                    <div class="form-col form-col2"><input class="form-input" type="password" name="oldpass"></div>
                <?php } ?>
            </div>
            <div class="form-row">
                <div class="form-col form-col1 caption"><?= \Ron\ronText('Nove_heslo') ?></div>
                <div class="form-col form-col2"><input class="form-input" type="password" name="newpass1"></div>
            </div>
            <div class="form-row">
                <div class="form-col form-col1 caption"><?= \Ron\ronText('Potvrzeni_hesla') ?></div>
                <div class="form-col form-col2"><input class="form-input" type="password" name="newpass2"></div>
            </div>
        </div>

        <div class="buttons">
            <input class="submitbutton" type="submit" name="setpassw" value="<?= \Ron\ronText('Nastavit_heslo') ?>">
        </div>
    </div>
</form>
