<?php

namespace RonPortal\Controls;

use Ron\MVC\BaseViewObject;
use RonPortal\TypRozdeleni;


/**
 * ViewObject pro vyrenderovani dialogu pro vyber rozdeleni (shift form)
 */
class RozdeleniShiftFormView extends BaseViewObject
{
    /** @var TypRozdeleni */
    protected $typRozdeleni;

    /** @var string */
    protected $url;

    public function __construct($typRozdeleni, $url)
    {
        parent::__construct('ronportal/controls/view_rozdeleni_osoby.php');
        $this ->typRozdeleni = $typRozdeleni;
        $this ->url = $url;
    }
}
