<?php

namespace RonPortal\Testy;

use Ron\MVC\ViewObject;


class DotaznikViewObject implements ViewObject
{
    /** @var Dotaznik */
    var $dotaznik;

    var $editace;
    var $postValues;

    /**
     * DotaznikViewObject constructor.
     * @param Dotaznik $dotaznik
     * @param bool $editace
     * @param bool $postValues
     */
    public function __construct(Dotaznik $dotaznik, $editace, $postValues)
    {
        $this ->dotaznik = $dotaznik;
        $this ->editace = $editace;
        $this ->postValues = $postValues;
    }


    public function render()
    {
        $this ->dotaznik ->zobrazDotaznik($this ->editace, $this ->postValues);
    }

}
